Skuli

Let's Test Hexxit for Minecraft 1.7.10!

Recommended Posts

It is easier to start fresh then try to figure out someone else's vision. and I have my own plans.

 

Hey! Great to hear, that something will happen to Hexxit. :) What do you think how long it will take? 

Share this post


Link to post
Share on other sites

What do you think how long it will take?

 

Yeah, don't ask for ETAs.  Not only is it somewhat presumptuous, it's in the forum rules.

Share this post


Link to post
Share on other sites

Huh.  I didn't think EnderIO was really a Hexxit mod, given the number of machines and other things like that in it.  Perhaps it is the semi-magic aspect to it.  Either way, sounds interesting.

 

Incidentally, Iskandar, Thaumcraft would not be unwelcome... ;)

Share this post


Link to post
Share on other sites

Huh.  I didn't think EnderIO was really a Hexxit mod, given the number of machines and other things like that in it.  Perhaps it is the semi-magic aspect to it.  Either way, sounds interesting.

 

Incidentally, Iskandar, Thaumcraft would not be unwelcome... ;)

 

Look at the first link I posted today on the news.

Share this post


Link to post
Share on other sites

Yeah, don't ask for ETAs.  Not only is it somewhat presumptuous, it's in the forum rules.

 

Oh! I'm sorry. I just wait for month for a working version and i'm so excited to the news. Sorry for that!

Share this post


Link to post
Share on other sites

This is a continuation of ChocoCraft You must put it back in :)

http://www.minecraftforum.net/forums/mapping-and-modding/minecraft-mods/2269183-clienthaxs-chococraft-happiness-distilled-into

AWW! We all missed the chocobos

Just pm the owner of the mod

 

Edit:Nvm i just was scrolling around and saw that chococraft will be added to next update,Idk about morebows2 tho didnt see any post bout it

 

Also got a 1.7.10 port of  MoreBows2

http://www.minecraftforum.net/forums/mapping-and-modding/minecraft-mods/2246038-beta-more-bows-2

Also pm the owner of the mod

Edited by RevengeBlank

Share this post


Link to post
Share on other sites

If you're gonna put a mod like thaum in there, I'd at least like to see a magic mod like Ars magica 2 or something, i think the magic aspect compliments dungeon raids and other scenarios such as riding on a stallion while wearing thief's armor...

 

Hey, that's just MY vision. who knows what yours is? (besides the obv. Thaumcraft :P)

Share this post


Link to post
Share on other sites

Also i have some kind of lag when exploring the world with 1GB ram allocated on Hexxit

(I have optifine and i play with my brother on lan world,The world is on his computer tho)

Any solutions? I blame it on ChocolateQuest dungeon generation but i really dont know.

Share this post


Link to post
Share on other sites

If you're gonna put a mod like thaum in there, I'd at least like to see a magic mod like Ars magica 2 or something, i think the magic aspect compliments dungeon raids and other scenarios such as riding on a stallion while wearing thief's armor...

 

Hey, that's just MY vision. who knows what yours is? (besides the obv. Thaumcraft :P)

 

Didn't you hear? Ars Magica 2 is history.

Share this post


Link to post
Share on other sites

If you're gonna put a mod like thaum in there, I'd at least like to see a magic mod like Ars magica 2 or something, i think the magic aspect compliments dungeon raids and other scenarios such as riding on a stallion while wearing thief's armor...

 

Hey, that's just MY vision. who knows what yours is? (besides the obv. Thaumcraft :P)

 

 

Arcs Magic was on Hexxit 2.0 but the modder said he will not be updating Arcs magica anymore

Share this post


Link to post
Share on other sites

Didn't you hear? Ars Magica 2 is history.

 

Is Magic 1.6 or 1.7? If 1.7 can still be used but if there needed to  be a new update then it will need to be removed and most likely world reset

Share this post


Link to post
Share on other sites

Ars is 1.7.10 - but I'm guessing Iskandar doesn't want to make it an integral (and well-known) part of Hexxit unless it's going to carry into 1.8.  I personally wouldn't mind even slightly if it was included, as long as it was balanced, but the odds of someone asking for and being granted the source code to continue it, and then doing so, are not high.

Share this post


Link to post
Share on other sites

Ars is 1.7.10 - but I'm guessing Iskandar doesn't want to make it an integral (and well-known) part of Hexxit unless it's going to carry into 1.8.  I personally wouldn't mind even slightly if it was included, as long as it was balanced, but the odds of someone asking for and being granted the source code to continue it, and then doing so, are not high.

 

Update to 1.8 (the lack of it) isn't the main reason why nobody wants to use it now. The main part is no future support. There are chances that other mods will show a hidden bug in Ars Magica 2 that nobody will want to fix.

Share this post


Link to post
Share on other sites

Ars is 1.7.10 - but I'm guessing Iskandar doesn't want to make it an integral (and well-known) part of Hexxit unless it's going to carry into 1.8.  I personally wouldn't mind even slightly if it was included, as long as it was balanced, but the odds of someone asking for and being granted the source code to continue it, and then doing so, are not high.

I assumed he was staying with 1.7.10 for Hexxit since I believe most of the core mods people love in Hexxit have not came out with a 1.8

 

Also the maker of Arcs is working on there own game or something that wil being using something similar. I think they said the API or something for it is the only public part on it.... There will be someone hopefully willing to come out with some similar to Arcs

Edited by TwilightAngel

Share this post


Link to post
Share on other sites

Didn't you hear? Ars Magica 2 is history.

 

This is the kind of comment I don't like. This is clearly a bias opinion, and you don't care to explain why you believe so.

Ars is 1.7.10 - but I'm guessing Iskandar doesn't want to make it an integral (and well-known) part of Hexxit unless it's going to carry into 1.8.  I personally wouldn't mind even slightly if it was included, as long as it was balanced, but the odds of someone asking for and being granted the source code to continue it, and then doing so, are not high.

This type of comment gives a descent explanation as to why am2 wouldn't be included in the mod. 

 

Another reason i like moderators of the technic team, they think before they post.

Share this post


Link to post
Share on other sites

This is the kind of comment I don't like. This is clearly a bias opinion, and you don't care to explain why you believe so.

This type of comment gives a descent explanation as to why am2 wouldn't be included in the mod. 

 

Another reason i like moderators of the technic team, they think before they post.

 

Its not really hard to Google things to find out why the comment was made...... never was I have to have my handheld and explained things.... since I can easily search

Share this post


Link to post
Share on other sites

Hello there,

2 issues

I try to start the Hexxit client with the latest 3.0.0c version and it just says its loading then pops back to the Technic launcher again.

I looked at the logs and it gave me this:

[21:07:02] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[21:07:02] [main/INFO]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[21:07:02] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
[21:07:02] [main/INFO]: Forge Mod Loader version 7.10.25.1208 for Minecraft 1.7.10 loading
[21:07:02] [main/INFO]: Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0_25, running on Windows 7:amd64:6.1, installed at C:Program FilesJavajre1.8.0_25
[21:07:02] [main/WARN]: The coremod mods.battlegear2.coremod.BattlegearLoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:07:03] [main/WARN]: The coremod codechicken.core.launch.CodeChickenCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:07:04] [main/WARN]: The coremod cofh.asm.LoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:07:04] [main/WARN]: The coremod atomicstryker.dynamiclights.common.DLFMLCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:07:04] [main/WARN]: The coremod invtweaks.forge.asm.FMLPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:07:04] [main/WARN]: The coremod codechicken.nei.asm.NEICorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:07:04] [main/WARN]: The coremod xreliquary.common.asm.DepLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:07:04] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[21:07:04] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
[21:07:04] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[21:07:04] [main/ERROR]: Unable to launch
java.util.ConcurrentModificationException
	at java.util.ArrayList$Itr.checkForComodification(Unknown Source) ~[?:1.8.0_25]
	at java.util.ArrayList$Itr.remove(Unknown Source) ~[?:1.8.0_25]
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:117) [launchwrapper-1.9.jar:?]
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
 

Keep in mind I can load and play 1.0.10 perfectly fine

 

The other thing is:

Trying to start the hexxit server for this version and im getting the following:

C:MinecraftServer>java -Xmx1G -Xms512M -jar Hexxit.jar nogui
[20:04:17] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.co
mmon.launcher.FMLServerTweaker
[20:04:17] [main/INFO] [LaunchWrapper]: Using primary tweak class name cpw.mods.
fml.common.launcher.FMLServerTweaker
[20:04:17] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.
launcher.FMLServerTweaker
[20:04:17] [main/INFO] [FML]: Forge Mod Loader version 7.10.25.1208 for Minecraf
t 1.7.10 loading
[20:04:17] [main/INFO] [FML]: Java is Java HotSpot(TM) Client VM, version 1.8.0_
31, running on Windows 7:x86:6.1, installed at C:Program Files (x86)Javajre1.
8.0_31
[20:04:17] [main/WARN] [FML]: The coremod mods.battlegear2.coremod.BattlegearLoa
dingPlugin does not have a MCVersion annotation, it may cause issues with this v
ersion of Minecraft
[20:04:19] [main/WARN] [FML]: The coremod codechicken.core.launch.CodeChickenCor
ePlugin does not have a MCVersion annotation, it may cause issues with this vers
ion of Minecraft
Warning: version of bspkrsCore, 6.13 is newer than request 6.9
[20:04:19] [main/WARN] [FML]: The coremod cofh.asm.LoadingPlugin does not have a
 MCVersion annotation, it may cause issues with this version of Minecraft
[20:04:19] [main/WARN] [FML]: The coremod codechicken.nei.asm.NEICorePlugin does
 not have a MCVersion annotation, it may cause issues with this version of Minec
raft
[20:04:19] [main/WARN] [FML]: The coremod xreliquary.common.asm.DepLoader does n
ot have a MCVersion annotation, it may cause issues with this version of Minecra
ft
[20:04:19] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.co
mmon.launcher.FMLInjectionAndSortingTweaker
[20:04:19] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.co
mmon.launcher.FMLDeobfTweaker
[20:04:19] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.
launcher.FMLInjectionAndSortingTweaker
[20:04:19] [main/ERROR] [LaunchWrapper]: Unable to launch
java.util.ConcurrentModificationException
        at java.util.ArrayList$Itr.checkForComodification(Unknown Source) ~[?:1.
8.0_31]
        at java.util.ArrayList$Itr.remove(Unknown Source) ~[?:1.8.0_31]
        at net.minecraft.launchwrapper.Launch.launch(Launch.java:117) [launchwra
pper-1.9.jar:?]
        at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrappe
r-1.9.jar:?]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0
_31]
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0
_31]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1
.8.0_31]
        at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0_31]
        at cpw.mods.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.j
ava:43) [Hexxit.jar:?]
        at cpw.mods.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.
java:12) [Hexxit.jar:?]

C:MinecraftServer>pause
Press any key to continue . . .





Anyone have any ideas why?

(Running windows 7 64 bit with 10 gigs of ram)

 

 

I also tried downgrading my Java to the standard 1.8.0_25 and I get the same error.

 

Thanks for your time!

Edited by CherryHotaling

Share this post


Link to post
Share on other sites

So I figured out a fix for this issue.

For the client fix:

1) Click the Launcher Options on the top right of the Technic Launcher

2) Click the Java Settings at the top

3) Select 1.7.0_76 Next to minecraft java version

Then close the window.

However for the server (if your running the server from windows not linux) it requires you go back to Java 1.7_75

You can download that version here:

http://www.oracle.com/technetwork/java/javase/downloads/jre7-downloads-1880261.html

You need to uninstall the latest version of Java.

Then install the 1.7_75 version.

If you get the error: "'java' is not recognized as an internal or external command" 

Then it means you need to add the 1.7_75 environment variable to windows:

1) Click the Start Button then Right click "Computer" go to properties 

2) Click Advanced system Settings link on the left

3) Click the "Environment Variables" button

4) On the bottom window under "System Variables" scroll down to path and double click it

5) in the Variable value make sure your at the end of the string and put a ; and then the path to your 1.7 java (For example: ;C:Program Files (x86)Javajre7bin) remember the ;

6) click ok

 

Now run your client and server and it should be fine.

 

I know a few people having this issue because they are using java version 1.8 or higher. I am not sure if you can fix that in this mod so it will work with the latest java or not.

 

Something to keep in mind maybe?

Edited by CherryHotaling

Share this post


Link to post
Share on other sites

I noticed that teleport does not work when you set the mapwriter.cgf in both the server and the client to 1 at the moment either. Is there somewhere else to set this now? Like a forge essentials type of thing?

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.